
package com.genpoc.caesar.contentmedia;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.genpoc.caesar.contentmedia package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ContentMedia_QNAME = new QName("http://www.genpoc.com/CAESAR/ContentMedia/", "ContentMedia");
    private final static QName _ISBNBook_QNAME = new QName("http://www.genpoc.com/CAESAR/ContentMedia/", "ISBNBook");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.genpoc.caesar.contentmedia
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ISBNBook }
     * 
     */
    public ISBNBook createISBNBook() {
        return new ISBNBook();
    }

    /**
     * Create an instance of {@link ContentMedia }
     * 
     */
    public ContentMedia createContentMedia() {
        return new ContentMedia();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ContentMedia }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.genpoc.com/CAESAR/ContentMedia/", name = "ContentMedia")
    public JAXBElement<ContentMedia> createContentMedia(ContentMedia value) {
        return new JAXBElement<ContentMedia>(_ContentMedia_QNAME, ContentMedia.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ISBNBook }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.genpoc.com/CAESAR/ContentMedia/", name = "ISBNBook")
    public JAXBElement<ISBNBook> createISBNBook(ISBNBook value) {
        return new JAXBElement<ISBNBook>(_ISBNBook_QNAME, ISBNBook.class, null, value);
    }

}
