
package com.genpoc.caesar.contentmedia;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for ContentMedia complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ContentMedia">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Contentid" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="Obtaindate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
 *         &lt;element name="Searchtimes" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="Lastsearchdate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="Contenttypd" type="{http://www.genpoc.com/CAESAR/ContentMedia/}Contenttype" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ContentMedia", propOrder = {
    "contentid",
    "obtaindate",
    "searchtimes",
    "lastsearchdate"
})
@XmlSeeAlso({
    ISBNBook.class
})
public class ContentMedia {

    @XmlElement(name = "Contentid")
    protected BigInteger contentid;
    @XmlElement(name = "Obtaindate")
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar obtaindate;
    @XmlElement(name = "Searchtimes")
    protected BigInteger searchtimes;
    @XmlElement(name = "Lastsearchdate")
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar lastsearchdate;
    @XmlAttribute(name = "Contenttypd")
    protected Contenttype contenttypd;

    /**
     * Gets the value of the contentid property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getContentid() {
        return contentid;
    }

    /**
     * Sets the value of the contentid property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setContentid(BigInteger value) {
        this.contentid = value;
    }

    /**
     * Gets the value of the obtaindate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getObtaindate() {
        return obtaindate;
    }

    /**
     * Sets the value of the obtaindate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setObtaindate(XMLGregorianCalendar value) {
        this.obtaindate = value;
    }

    /**
     * Gets the value of the searchtimes property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getSearchtimes() {
        return searchtimes;
    }

    /**
     * Sets the value of the searchtimes property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setSearchtimes(BigInteger value) {
        this.searchtimes = value;
    }

    /**
     * Gets the value of the lastsearchdate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getLastsearchdate() {
        return lastsearchdate;
    }

    /**
     * Sets the value of the lastsearchdate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setLastsearchdate(XMLGregorianCalendar value) {
        this.lastsearchdate = value;
    }

    /**
     * Gets the value of the contenttypd property.
     * 
     * @return
     *     possible object is
     *     {@link Contenttype }
     *     
     */
    public Contenttype getContenttypd() {
        return contenttypd;
    }

    /**
     * Sets the value of the contenttypd property.
     * 
     * @param value
     *     allowed object is
     *     {@link Contenttype }
     *     
     */
    public void setContenttypd(Contenttype value) {
        this.contenttypd = value;
    }

}
